
Showroom Mobile Banking - Enhancement #12991

Savings on-boarding function - stuck at one of the screens and unable to proceed to CTOS screens

13 January 2022 12:43 PM - Keat San Khor

Status: Pending SIT Start date: 13 January 2022

Priority: Normal Due date:  

Assignee: Keat San Khor % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Phase: R1 Branch Code: showroom-proj-base-i5

Description

When performing Savings on-boarding, was able to enter customer details - name, IC number, email address and mobile phone

number.

When submitted information, enter verification code "123456".

After that, the screen remains there and unable to enter CTOS e-KYC screens.

Please help to check and rectify.  Thanks.

History

#1 - 13 January 2022 12:44 PM - Keat San Khor

- Tracker changed from Bug to Enhancement

#2 - 13 January 2022 12:54 PM - Hoo Dextor

- Status changed from New to Assigned

- Assignee changed from Hoo Dextor to Megat AhmadSalehudin

#3 - 13 January 2022 03:21 PM - Megat AhmadSalehudin

- Status changed from Assigned to Resolved

- Assignee changed from Megat AhmadSalehudin to Hoo Dextor

- % Done changed from 0 to 100

r215772 | ahmadsalehudin | 2022-01-13 14:26:36 MYT

Changed paths:

A

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/local_plugins/cordova-plugin-safariviewcontr

oller

A

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/local_plugins/cordova-plugin-safariviewcontr

oller/2.0.0

A

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/local_plugins/cordova-plugin-safariviewcontr

oller/2.0.0/cordova-plugin-safariviewcontroller/src/android/helpers/CustomTabServiceHelper.java

A

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/local_plugins/cordova-plugin-safariviewcontr

oller/2.0.0/cordova-plugin-safariviewcontroller/src/android/helpers/ServiceConnectionCallback.java

A

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/local_plugins/cordova-plugin-safariviewcontr

oller/2.0.0/cordova-plugin-safariviewcontroller/build/android

A

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/local_plugins/cordova-plugin-safariviewcontr

oller/2.0.0/cordova-plugin-safariviewcontroller/package.json

A

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/local_plugins/cordova-plugin-safariviewcontr

oller/2.0.0/cordova-plugin-safariviewcontroller/src/android/helpers/ServiceConnection.java

A

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/local_plugins/cordova-plugin-safariviewcontr

oller/2.0.0/cordova-plugin-safariviewcontroller/LICENSE
A

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/local_plugins/cordova-plugin-safariviewcontr

oller/2.0.0/cordova-plugin-safariviewcontroller/src/android

A

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/local_plugins/cordova-plugin-safariviewcontr

oller/2.0.0/cordova-plugin-safariviewcontroller

A

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/local_plugins/cordova-plugin-safariviewcontr

oller/2.0.0/cordova-plugin-safariviewcontroller/src/ios

A

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/local_plugins/cordova-plugin-safariviewcontr

oller/readme.md

A

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/local_plugins/cordova-plugin-safariviewcontr

oller/2.0.0/cordova-plugin-safariviewcontroller/src/android/res/anim

A

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/local_plugins/cordova-plugin-safariviewcontr

oller/2.0.0/cordova-plugin-safariviewcontroller/src/android/res/anim/slide_in_left.xml

A

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/local_plugins/cordova-plugin-safariviewcontr

oller/2.0.0/cordova-plugin-safariviewcontroller/src/android/res/anim/slide_in_right.xml

A

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/local_plugins/cordova-plugin-safariviewcontr

oller/2.0.0/cordova-plugin-safariviewcontroller/src/android/ChromeCustomTabPlugin.java

A

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/local_plugins/cordova-plugin-safariviewcontr

oller/2.0.0/cordova-plugin-safariviewcontroller/src/ios/SafariViewController.h

A

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/local_plugins/cordova-plugin-safariviewcontr

oller/2.0.0/cordova-plugin-safariviewcontroller/src/ios/SafariViewController.m

A

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/local_plugins/cordova-plugin-safariviewcontr

oller/2.0.0/cordova-plugin-safariviewcontroller/plugin.xml

A

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/local_plugins/cordova-plugin-safariviewcontr

oller/2.0.0/cordova-plugin-safariviewcontroller/README.md

M /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/config.xml

A

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/local_plugins/cordova-plugin-safariviewcontr

oller/2.0.0/cordova-plugin-safariviewcontroller/src/android/helpers/CustomTabsHelper.java

A

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/local_plugins/cordova-plugin-safariviewcontr

oller/2.0.0/cordova-plugin-safariviewcontroller/src/android/res/anim/slide_out_right.xml

A

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/local_plugins/cordova-plugin-safariviewcontr

oller/2.0.0/cordova-plugin-safariviewcontroller/build

A

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/local_plugins/cordova-plugin-safariviewcontr

oller/2.0.0/cordova-plugin-safariviewcontroller/src

A

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/local_plugins/cordova-plugin-safariviewcontr

oller/2.0.0/cordova-plugin-safariviewcontroller/src/android/helpers

A

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/local_plugins/cordova-plugin-safariviewcontr

oller/2.0.0/cordova-plugin-safariviewcontroller/www

A

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/local_plugins/cordova-plugin-safariviewcontr

oller/2.0.0/cordova-plugin-safariviewcontroller/www/SafariViewController.js

A

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/local_plugins/cordova-plugin-safariviewcontr

oller/2.0.0/cordova-plugin-safariviewcontroller/src/android/res

A

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/local_plugins/cordova-plugin-safariviewcontr

oller/2.0.0/cordova-plugin-safariviewcontroller/src/android/res/anim/slide_out_left.xml

A

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/local_plugins/cordova-plugin-safariviewcontr

oller/2.0.0/cordova-plugin-safariviewcontroller/build/android/SafariViewController-java18.gradle

M /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/package.json

M

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/app/shared/sl-common/plugins/inapp-bro

wser/inapp-browser.service.ts

A

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/local_plugins/cordova-plugin-safariviewcontr

oller/.DS_Store
Megat - Set safariviewcontroller as local plugin

----------------------------------------------------------------------------

Root Cause: safariviewcontroller plugin not installed

Solution: Fixed by adding safariviewcontroller plugin into config.xml so cordova will automatically install the plugin and fixed some exception when url

is null

#4 - 13 January 2022 03:27 PM - Hoo Dextor

- Status changed from Resolved to Pending SIT 

- Assignee changed from Hoo Dextor to Keat San Khor

Hi Keat San,

There's an plugin issue that caused the error, kindly reinstall the app version 1.0.0.1 by uninstall the previous app first.

Sorry for the inconvenience cause.

Regards,

Dextor Hoo
